Issue #9705 has been updated by hsbt (Hiroshi SHIBATA).

Status changed from Open to Feedback

Ruby 2.1 was EOL status. Can you try to build with Ruby 2.3 or 2.4?

----------------------------------------
Bug #9705: Installing ruby 2.1.1 fails while compiling (after: rvm install 2.1.1)
https://bugs.ruby-lang.org/issues/9705#change-68222

* Author: ahibal (Ahilleas Balaktsis)
* Status: Feedback
* Priority: Normal
* Assignee: cruby-linux
* Target version: 
* ruby -v: 2.1.1
* Backport: 2.0.0: UNKNOWN, 2.1: REQUIRED
----------------------------------------
Possible relevance with cpu recognition (CPU is amd athlon 1200 32bit)

[[https://gist.github.com/ahibal/f41ee307085f35709704#file-make-log]]

last lines of make.log:

~~~
.
.
.
compiling addr2line.c
compiling dmyext.c
linking miniruby
make: *** [.rbconfig.time] Illegal instruction
++ return 2
There has been an error while running make. Halting the installation.
~~~



---Files--------------------------------
make.log (4.97 KB)
environment variables (3.71 KB)
output (1.66 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>